=== debian/changelog ===
curseofwar (1.1.8-3build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:21 +0000

curseofwar (1.1.8-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:11 +0000

curseofwar (1.1.8-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:21 +0000

curseofwar (1.1.8-3) unstable; urgency=low

  * Initial release (Closes: #717348)

 -- Anton Balashov <sicness@darklogic.ru>  Sun, 28 Jul 2013 10:08:35 +0400
