=== debian/control ===
Source: curseofwar
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Balashov <sicness@darklogic.ru>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.4
Homepage: https://github.com/a-nikolaev/curseofwar/wiki

Package: curseofwar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast-paced  action  strategy  game for Linux based on ncurses
 Unlike  most  RTS,  you  are  not  controlling units, but focus on high-level
 strategic  planning:  Building infrastructure, securing resources, and moving
 your  armies. The core game mechanics turns out to be quite close to WWI-WWII
 type   of   warfare,   however,   there  is  no  explicit  reference  to  any
 historical period.
