=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/curseofwar

override_dh_auto_install:
	make DESTDIR=$(DESTDIR) BINDIR=$(DESTDIR)/usr/games install
	install -D -m 644 pixmaps/curseofwar-32x32.xpm $(DESTDIR)/usr/share/pixmaps/curseofwar-32x32.xpm
	install -D -m 644 pixmaps/curseofwar-16x16.xpm $(DESTDIR)/usr/share/pixmaps/curseofwar-16x16.xpm

%:
	dh $@
