=== debian/changelog ===
curseofwar (1.3.0-3) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is the default now
  * d/rules: move DH catch-all to the top for readability
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

  [ Helmut Grohne ]
  * Fix FTCBFS: Build curseofwar-sdl via dh_auto_build. (Closes: #1098774)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 16:30:38 +0100

curseofwar (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2025 13:39:26 +0100

curseofwar (1.3.0-1) unstable; urgency=low

  * Team upload.

  [ Anton Balashov ]
  * Split on 3 packages: SDL, ncurses, common
  * Added Vcs-* to the control file

  [ Simon McVittie ]
  * Update Vcs-* for migration to salsa.debian.org

  [ Andreas Tille ]
  * New upstream version
    Closes: #894440
  * Package was found in Debian Games team repository thus make the team
    the Maintainer
  * Fix spelling and spacing of descriptions
    Closes: #873536
  * Fix watch file
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * d/rules: This is no example
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Provide desktop files
    Closes: #737854
  * Drop Deban menu files since replaced by desktop files

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2024 20:34:57 +0100

curseofwar (1.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957118)
    - Use upstream patch, thanks to Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Aug 2020 21:07:49 +0100
