=== debian/control ===
Source: curseofwar
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Anton Balashov <sicness@darklogic.ru>,
Build-Depends:
 debhelper-compat (= 13),
 imagemagick | graphicsmagick,
 libncurses-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/a-nikolaev/curseofwar/wiki
Vcs-Git: https://salsa.debian.org/games-team/curseofwar.git
Vcs-Browser: https://salsa.debian.org/games-team/curseofwar

Package: curseofwar-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 curseofwar | curseofwar-sdl,
Description: common files for fast-paced action strategy curseofwar
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 Package contains common files for curseofwar front-ends

Package: curseofwar
Architecture: any
Provides:
 curseofwar,
Depends:
 curseofwar-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast-paced action strategy game for Linux based on ncurses
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 This version has a multiplayer and uses text user interface based on ncurses

Package: curseofwar-sdl
Architecture: any
Provides:
 curseofwar,
Depends:
 curseofwar-common (= ${source:Version}),
 libsdl1.2debian,
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast-paced action strategy game for Linux based on SDL
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 This version uses GUI based on SDL and don't have a multiplayer
