=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR_CONSOLE=debian/curseofwar
DESTDIR_SDL=debian/curseofwar-sdl
DESTDIR_COMMON=debian/curseofwar-common

%:
	dh $@

execute_after_dh_auto_build:
	dh_auto_build -- SDL=yes

override_dh_auto_install:
	# curseofwar-console
	make DESTDIR=$(DESTDIR_CONSOLE) BINDIR=$(DESTDIR_CONSOLE)/usr/games install
	# curseofwar-sdl
	make DESTDIR=$(DESTDIR_SDL) BINDIR=$(DESTDIR_SDL)/usr/games install SDL=yes INSTALL_DATA=$(DESTDIR_SDL)/usr/share/curseofwar-sdl/
	# curseofwar-common
	mkdir -p $(DESTDIR_COMMON)/usr/share/icons/HighContrast/16x16/apps
	mkdir -p $(DESTDIR_COMMON)/usr/share/icons/HighContrast/32x32/apps
	convert pixmaps/curseofwar-16x16.xpm $(DESTDIR_COMMON)/usr/share/icons/HighContrast/16x16/apps/curseofwar.png
	convert pixmaps/curseofwar-32x32.xpm $(DESTDIR_COMMON)/usr/share/icons/HighContrast/32x32/apps/curseofwar.png
