=== debian/watch ===
Version: 5

Template: GitHub
Owner: a-nikolaev
Project: curseofwar
